<?php

/**
 * @version     frontend/site/controller.php 2015-02-24 13:45:00 UTC pav
 * @package     Watchful Client
 * @author      Watchful
 * @authorUrl   https://watchful.li
 * @copyright   Copyright (c) 2012-2015 watchful.li
 * @license     GNU/GPL v3 or later
 */
defined('_JEXEC') or die;
defined('WATCHFULLI_PATH') or die;


/**
 * watchfulliController class.
 * 
 * @see WatchfulliBaseController
 */
class watchfulliController extends WatchfulliBaseController
{

    /**
     * 
     * @param array $config
     */
    public function __construct($config = array())
    {
        parent::__construct($config);
        $this->action = new WatchfulliActions();
        $this->scanner = new WatchfulliScanner();
    }

    /**
     * 
     */
    public function doUpdate()
    {
        $this->action->doUpdate();
    }

    /**
     * 
     */
    public function updateCheck()
    {
        $this->action->updateCheck();
    }

    /**
     * 
     */
    public function purgeCache()
    {
        $this->action->doPurgeCache();
    }

    /**
     * 
     */
    public function getLog()
    {
        $this->action->getLog();
    }

    /**
     * 
     */
    public function test()
    {
        $this->action->test();
    }

    public function auditJoomlaConfiguration()
    {
        $this->scanner->auditJoomlaConfiguration();
    }

    public function auditFilesPermissions()
    {
        $this->scanner->auditFilesPermissions();
    }

    public function auditFoldersPermissions()
    {
        $this->scanner->auditFolderPermissions();
    }

    public function auditCoreIntegrity()
    {
        $this->scanner->auditJoomlaCoreIntegrity();
    }

    public function auditMalwareScanner()
    {
        $this->scanner->auditMalwareScanner();
    }

}
